#include <stdio.h>
#include <stdint.h>
#include "iodefine.h"
#include "ivects.h"
#include "tty.h"
#include "usb.h"

main()
{
  int c;
  setbuf (stdout, NULL);
  SYSTEM.SCKCR.LONG = 0x00010100;

  PORT7.DR.BYTE = 0;
  PORT7.DDR.BYTE = ~0;

  tty_init ();
  tty_puts("\nUSB test, hit a key to start\n");

  while (tty_ready() > 0)
    tty_getc ();
  do {
    c = tty_getc ();
  } while (c == 3);
  tty_puts("starting, hit a key to exit\n");

  timer_init ();
  usb_init ();

  while (tty_ready () == 0)
    {
#if 0
      char buf[50];
      siprintf(buf, "  %04x %04x %04x %04x - %04x %04x %04x %04x \r",
	       USB0.INTSTS0.WORD, USB0.BRDYSTS.WORD, USB0.BEMPSTS.WORD, USB0.NRDYSTS.WORD,
	       USB0.INTENB0.WORD, USB0.BRDYENB.WORD, USB0.BEMPENB.WORD, USB0.NRDYENB.WORD
	       );
      tty_puts(buf);
#endif
    }
  tty_puts("\nBye!\n\n");
  usb_uninit ();
  tty_putc(3);
  tty_putc(3);
  tty_putc(0);
  while (1);
}
